Skip to main content
GET
/
vendors
/
{vendorId}
/
review-settings
Get vendor review settings
curl --request GET \
  --url https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/review-settings \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": 123,
    "googleReviewEnabled": true,
    "facebookReviewEnabled": true,
    "bbbReviewEnabled": true,
    "otherReviewEnabled": true,
    "otherReviewSiteName": "<string>",
    "customSMSMessage": "<string>",
    "customEmailMessage": "<string>",
    "primaryGoogleReviewLabel": "<string>",
    "reviewLocations": [
      {
        "id": 123,
        "label": "<string>",
        "googleUrl": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

vendorId
integer<int64>
required

Response

Review settings

success
boolean
data
object